package sikd.sikd5.filter;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author soraturaes
 */
public class DateMarginFilter implements Serializable{
    String idCalendar1 = "calendar1";
    String idCalendar2 = "calendar2";
    Date dateStart, dateEnd;

    public DateMarginFilter() {
        dateStart = new Date();
        dateEnd = new Date();
    }

    public DateMarginFilter(Date dateStart, Date dateEnd) {
        this.dateStart = dateStart;
        this.dateEnd = dateEnd;
    }
    public DateMarginFilter(String idCalendar1, String idCalendar2) {
        this.idCalendar1 = idCalendar1;
        this.idCalendar2 = idCalendar2;
        this.dateStart = new Date();
        this.dateEnd = new Date();
    }
    public DateMarginFilter(String idCalendar1, String idCalendar2, Date dateStart, Date dateEnd) {
        this.idCalendar1 = idCalendar1;
        this.idCalendar2 = idCalendar2;
        this.dateStart = dateStart;
        this.dateEnd = dateEnd;
    }

    public String getIdCalendar1() {
        return idCalendar1;
    }

    public void setIdCalendar1(String idCalendar1) {
        this.idCalendar1 = idCalendar1;
    }

    public String getIdCalendar2() {
        return idCalendar2;
    }

    public void setIdCalendar2(String idCalendar2) {
        this.idCalendar2 = idCalendar2;
    }

    public Date getDateStart() {
        return dateStart;
    }

    public void setDateStart(Date dateStart) {
        this.dateStart = dateStart;
    }

    public Date getDateEnd() {
        return dateEnd;
    }

    public void setDateEnd(Date dateEnd) {
        this.dateEnd = dateEnd;
    }
    
    
    
}
